Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80880 - RFE: Ability to choose kernel to be installed.
Summary: RFE: Ability to choose kernel to be installed.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-01 17:44 UTC by Ivo Sarak
Modified: 2007-03-27 03:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-02 21:52:57 UTC


Attachments (Terms of Use)

Description Ivo Sarak 2003-01-01 17:44:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
As I frequently have to deal with machines what are "dog slow" or have too less
memory or by unknown reason are crashing during normal install, I ask for an
ability to choose the kernel to be installed during (Expert) Install.
As there is no major blockers than kernel optimizations (if the CPU platform is
different) what are making hard "install RedHat Linux on one machine and take
the HDD to another machine".

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Install RedHat Linux (maybe 8.0)  on Athlon based PC;
2. Take the HDD and put it in Pentium I class machine;
3. Boot up the Pentium I class machine;


Actual Results:  Kernel crash.

Expected Results:  If there is possible to choose what kind of kernel I want to
put to this machine (even if this kind of optimizations are unable to be run on
this machine) - no kernel crash and machine will boot up.

Additional info:

Comment 1 Michael Fulbright 2003-01-02 21:52:57 UTC
I don't see us adding this feature as it would add UI complexity for what is a
very special purpose usage.  We have limited resources for anaconda development
and we're trying to reduce complexity so we can focus our effort better.

I would recommend you investigate creating a custom update disk for you purpose.
   It would not be too hard and there are mailing lists where people discuss
anaconda enhancements.

Look at http://rhlinux.redhat.com/anaconda for some pointers.


Note You need to log in before you can comment on or make changes to this bug.